package com.liang.entity;

import java.sql.Date;
import java.io.Serializable;

/**
 * (SysRoleInfo)实体类
 *
 * @author makejava
 * @since 2023-03-17 09:35:32
 */
public class SysRoleInfo implements Serializable {
    private static final long serialVersionUID = -76056278518456963L;
    /**
     * 角色ID
     */
    private Integer roleId;
    /**
     * 角色名称
     */
    private String name;
    /**
     * 签名
     */
    private String sign;
    /**
     * 角色标志
     */
    private String descript;
    /**
     * 状态（0--正常 1--停用）
     */
    private String status;
    /**
     * 删除状态（0--未删除 1--已删除）
     */
    private String delFlag;
    /**
     * 创建者
     */
    private Integer createUser;
    private String cjrxm;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新者
     */
    private Integer updateUser;
    /**
     * 更新时间
     */
    private Date updateTime;


    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getDescript() {
        return descript;
    }

    public void setDescript(String descript) {
        this.descript = descript;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCjrxm() {
        return cjrxm;
    }

    public void setCjrxm(String cjrxm) {
        this.cjrxm = cjrxm;
    }
}

